summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--app-doc/csound-manual/csound-manual-6.15-r1.ebuild (renamed from app-doc/csound-manual/csound-manual-6.15.ebuild)15
-rw-r--r--app-editors/vscodium-bin/Manifest6
-rw-r--r--app-editors/vscodium-bin/vscodium-bin-1.48.0.ebuild (renamed from app-editors/vscodium-bin/vscodium-bin-1.47.2.ebuild)0
-rw-r--r--app-eselect/eselect-awk/eselect-awk-0.3.ebuild2
-rw-r--r--app-eselect/eselect-awk/metadata.xml1
-rw-r--r--app-text/ghostscript-gpl/ghostscript-gpl-9.52.ebuild2
-rw-r--r--app-text/pdfarranger/Manifest1
-rw-r--r--app-text/pdfarranger/pdfarranger-1.6.2.ebuild41
-rw-r--r--app-text/sablotron/sablotron-1.0.3-r2.ebuild7
-rw-r--r--dev-libs/libevent/libevent-9999.ebuild6
-rw-r--r--dev-libs/libevent/metadata.xml32
-rw-r--r--dev-libs/libspt/libspt-1.1-r2.ebuild13
-rw-r--r--dev-libs/libspt/libspt-1.1-r4.ebuild9
-rw-r--r--dev-libs/nspr/nspr-4.26.ebuild2
-rw-r--r--dev-libs/nss/nss-3.55.ebuild2
-rw-r--r--dev-libs/roct-thunk-interface/Manifest1
-rw-r--r--dev-libs/roct-thunk-interface/roct-thunk-interface-3.7.0.ebuild35
-rw-r--r--dev-libs/roct-thunk-interface/roct-thunk-interface-9999.ebuild9
-rw-r--r--dev-python/matplotlib/Manifest1
-rw-r--r--dev-python/matplotlib/matplotlib-3.3.1.ebuild276
-rw-r--r--dev-python/pikepdf/Manifest1
-rw-r--r--dev-python/pikepdf/pikepdf-1.18.0.ebuild54
-rw-r--r--dev-python/pygame/pygame-1.9.6-r1.ebuild2
-rw-r--r--dev-python/pyopengl/pyopengl-3.1.5.ebuild2
-rw-r--r--games-util/steam-launcher/metadata.xml19
-rw-r--r--gnome-extra/nemo-fileroller/Manifest4
-rw-r--r--gnome-extra/nemo-fileroller/nemo-fileroller-3.2.0.ebuild27
-rw-r--r--gnome-extra/nemo-fileroller/nemo-fileroller-4.4.0.ebuild27
-rw-r--r--gnome-extra/nemo-fileroller/nemo-fileroller-4.6.0.ebuild31
-rw-r--r--media-plugins/kodi-game-libretro-snes9x/Manifest1
-rw-r--r--media-plugins/kodi-game-libretro-snes9x/kodi-game-libretro-snes9x-1.60.0.12.ebuild38
-rw-r--r--media-plugins/kodi-game-libretro-snes9x/kodi-game-libretro-snes9x-9999.ebuild2
-rw-r--r--media-sound/jack-keyboard/jack-keyboard-2.7.2-r1.ebuild (renamed from media-sound/jack-keyboard/jack-keyboard-2.7.2.ebuild)8
-rw-r--r--net-wireless/unifi/Manifest2
-rw-r--r--net-wireless/unifi/unifi-6.0.13.ebuild (renamed from net-wireless/unifi/unifi-6.0.8.ebuild)2
-rw-r--r--sys-apps/coreutils/coreutils-8.32-r1.ebuild2
-rw-r--r--sys-cluster/rdma-core/Manifest4
-rw-r--r--sys-cluster/rdma-core/rdma-core-26.1-r1.ebuild101
-rw-r--r--sys-cluster/rdma-core/rdma-core-27.0-r2.ebuild101
-rw-r--r--sys-cluster/rdma-core/rdma-core-28.0-r1.ebuild101
-rw-r--r--sys-cluster/rdma-core/rdma-core-30.0-r1.ebuild101
-rw-r--r--sys-cluster/rdma-core/rdma-core-30.0-r2.ebuild (renamed from sys-cluster/rdma-core/rdma-core-26.0-r2.ebuild)8
-rw-r--r--sys-cluster/rdma-core/rdma-core-9999.ebuild15
-rw-r--r--sys-devel/gcc/gcc-6.5.0-r2.ebuild2
-rw-r--r--sys-devel/gcc/gcc-7.5.0-r1.ebuild2
45 files changed, 616 insertions, 502 deletions
diff --git a/app-doc/csound-manual/csound-manual-6.15.ebuild b/app-doc/csound-manual/csound-manual-6.15-r1.ebuild
index d2b6deaed78b..6e68a73924b6 100644
--- a/app-doc/csound-manual/csound-manual-6.15.ebuild
+++ b/app-doc/csound-manual/csound-manual-6.15-r1.ebuild
@@ -24,6 +24,9 @@ IUSE="html"
LANGS=" fr"
IUSE+="${LANGS// / l10n_}"
+BDEPEND="
+ media-libs/libpng:0
+"
DEPEND="app-arch/unzip"
S=${WORKDIR}
@@ -47,6 +50,18 @@ src_unpack() {
done
}
+src_prepare() {
+ default
+
+ # Fix broken png file, bug 737130
+ if use html; then
+ local png=html-en/images/delayk.png
+ pngfix -q --out=${png/.png/fixed.png} ${png} # see pngfix help for exit codes
+ [[ $? -gt 15 ]] && die "Failed to fix ${png}"
+ mv -f ${png/.png/fixed.png} ${png} || die
+ fi
+}
+
src_install() {
dodoc *.pdf
diff --git a/app-editors/vscodium-bin/Manifest b/app-editors/vscodium-bin/Manifest
index 12065c1429f8..740b0608255e 100644
--- a/app-editors/vscodium-bin/Manifest
+++ b/app-editors/vscodium-bin/Manifest
@@ -1,6 +1,6 @@
-DIST VSCodium-linux-arm-1.47.2.tar.gz 82568209 BLAKE2B ae60cc0dac129e6065c05c2e127a51a2408f23a21a47c26db81014cce253319f91549bff6123e634272de96d9b533ff503afdcc37a3aba5b136ceaf1ea3868f2 SHA512 14395dadd08ad708acef2c0d22ee0a7ea3ff94493136c4bebb1c5b44b57a10b4767c10d51bb9f33d6eff57cbef5bd53953958a069e6fe91fa2701f3e19abef12
DIST VSCodium-linux-arm-1.47.3.tar.gz 82570432 BLAKE2B 012e9c8335b83c12b420e6f096e7c405370db8741a31ecbbaf8fbfe237f36e98a2e3ff4ca3e09e80412d85c72f804ee8c6af074b8faaea8a75f25403779d5333 SHA512 c14a0e22be776950337bb2d83cd1e2d025dac2602aa6a40d054f5424a9f3628d43a88373688300f01dc69deab23992ccfe8906bbf6c61bbe471f212cc38ee7ff
-DIST VSCodium-linux-arm64-1.47.2.tar.gz 89865582 BLAKE2B 8f3cac4d60cd864c62b90a8b40c40cfd1edb8d10aa463d6131ec6e76a8cca055004de98dbe0aab4f9864bbe8c8c1d36ff6a576f537fa34cc3f39a44f77217fb1 SHA512 439cd9dba1751dfa10d407ee48c1f55638279ef22ce452c86b4d1f69c8d8205b676f1fd9b4cd5e6e16c634b94508e61e550d97950d426eaf86218a9c301429e2
+DIST VSCodium-linux-arm-1.48.0.tar.gz 82810681 BLAKE2B 6a1cea997234d83271bda40eb3f96927a5c25a9f9d887f3fa1181a53743de022e6c09b120fe9e5f3ef44950642250571389211edc9031c483d8efed29aba3970 SHA512 66369d74514150e4313f7d12d8f5bd420af3fe016ea013a0fd5b18b587cf6cd1e06702f382eb53b32cc79aae39a16b58fd600cbed4de06d5cb916ef68c98a222
DIST VSCodium-linux-arm64-1.47.3.tar.gz 89866510 BLAKE2B d8838415fe646ed545f2f3bebb8e99cfd1d4ce20ad593acbda1e3acaeb7fe717070dc887c1607d2a6867d97a0db973aa1a1aaa6a124e9d5b8743d842e879b831 SHA512 8fcdd22b70c4f6f7f4435352b1a3ac8969f933d516c8f2a26e07f6a368700b3efd50f66d107e2504c348a847412d9bffae8e19d13b8771a8fda402cd8ab4ccf3
-DIST VSCodium-linux-x64-1.47.2.tar.gz 92240429 BLAKE2B b48c9993d3f53b51bc80932a0f2bf243f27b74f08248295607c59ffda232baf797cf08bf66e8ac7a54c4b300018f257b1a791f0e4bbd84f979a4ebb189a8f07f SHA512 9d428bd117548601a7d50f58a4bb4513acc4725f5e8d5a05480914e374d2261b42e19e0df316fa3b6220d47f087c984b8b2ccc7900853c32c0e0b6058829431b
+DIST VSCodium-linux-arm64-1.48.0.tar.gz 90124685 BLAKE2B a2fa3322e115fc61d08c20619fd0be2e22c2ec7f02ca274d646d57323102f87d457b5d315954d07479005b562eb52e403c6503c71e731c5d3b6e7d945203e39b SHA512 98c14aabf768a1cad159de0458f76c43e1fe44c2e09e3be527e9bb13dc7d2bba546ef0faa7148d7b418f41341ebde337ac45af73eaf73cb19ead7f1dd30643f2
DIST VSCodium-linux-x64-1.47.3.tar.gz 92239560 BLAKE2B e15836011387ec16fda29bfe8b1309a58371f648390a822421e5a6fee5f0ae42542f29fba82e94c20b56371b32363da3be59232a580d049b6f2916c9ec13c94f SHA512 22dd496ca102605318fbefaf21cb3e8cf2133110dd4707018b802c076a6adc18cc0ba1d5521c0c490e6661eca03934b7d297b931ea3d233cb8f80bc27bf01583
+DIST VSCodium-linux-x64-1.48.0.tar.gz 92673413 BLAKE2B 56d551b33d00cb8a7b37d5adcc454c83ef8823a20d8a9e910356c8c54e8b327335b4f70fe91c8da872b415361df0e297a7e07ad3f02980ff204db37f01de4d14 SHA512 756dcd810d8a752110b12077d60c1c667d8811409b1f9d6338f5f0bc88144a2f7332c480ffe6a10e8ecb109b030d50a41c0c94557514e9f0afb862c5501078b8
diff --git a/app-editors/vscodium-bin/vscodium-bin-1.47.2.ebuild b/app-editors/vscodium-bin/vscodium-bin-1.48.0.ebuild
index cfa727e93e30..cfa727e93e30 100644
--- a/app-editors/vscodium-bin/vscodium-bin-1.47.2.ebuild
+++ b/app-editors/vscodium-bin/vscodium-bin-1.48.0.ebuild
diff --git a/app-eselect/eselect-awk/eselect-awk-0.3.ebuild b/app-eselect/eselect-awk/eselect-awk-0.3.ebuild
index 8289afe8cc93..21ad5fd0d1cc 100644
--- a/app-eselect/eselect-awk/eselect-awk-0.3.ebuild
+++ b/app-eselect/eselect-awk/eselect-awk-0.3.ebuild
@@ -9,7 +9,7 @@ SRC_URI="https://dev.gentoo.org/~junghans/distfiles/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-macos"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 s390 sparc x86 ~amd64-linux ~x86-macos"
IUSE=""
src_install() {
diff --git a/app-eselect/eselect-awk/metadata.xml b/app-eselect/eselect-awk/metadata.xml
index a9df8a040a69..0e5e39671a14 100644
--- a/app-eselect/eselect-awk/metadata.xml
+++ b/app-eselect/eselect-awk/metadata.xml
@@ -5,5 +5,6 @@
<email>base-system@gentoo.org</email>
<name>Gentoo Base System</name>
</maintainer>
+ <stabilize-allarches/>
<origin>gentoo-staging</origin>
</pkgmetadata>
diff --git a/app-text/ghostscript-gpl/ghostscript-gpl-9.52.ebuild b/app-text/ghostscript-gpl/ghostscript-gpl-9.52.ebuild
index fa4d8562ea2b..9b001bfe131f 100644
--- a/app-text/ghostscript-gpl/ghostscript-gpl-9.52.ebuild
+++ b/app-text/ghostscript-gpl/ghostscript-gpl-9.52.ebuild
@@ -24,7 +24,7 @@ fi
LICENSE="AGPL-3 CPL-1.0"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86"
+KEYWORDS="~alpha amd64 ~arm arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 sparc ~x86"
IUSE="cups dbus gtk l10n_de static-libs tiff unicode X"
LANGS="ja ko zh-CN zh-TW"
diff --git a/app-text/pdfarranger/Manifest b/app-text/pdfarranger/Manifest
index 91da98e26422..0ac249cc8ead 100644
--- a/app-text/pdfarranger/Manifest
+++ b/app-text/pdfarranger/Manifest
@@ -1,2 +1,3 @@
DIST pdfarranger-1.3.1.tar.gz 120834 BLAKE2B 5f429d479d130ec06e795c6cedc2aefa75f89b971b556901fc0bfba02038e36c4fd7b4233b5ce6d0dfb6252862176dc7b07192ab43e458090970a25648bb946e SHA512 6ac13447410477e9125da26adbf7123f7f5ffa25814a4c254247a5ff2d07eba6af0557eafb60b4c68ac5987c8e9e7888da21296fb6a74d31a3d0d763b1077918
DIST pdfarranger-1.5.3.tar.gz 221208 BLAKE2B 2669a3be00d771542ba2449696de74d633fe31c1ab84ff368ea95ffd6e6f6bdd4d5bbb2b0b2cf1c2ddcddcba9e774f1870ee3c85735f54c832894e2093392042 SHA512 17960786b2197e4035b2c224cbeb8e6d14ca7690920a4366d3dcad8b19f890b52d5e95277372fe3011f3476a5be0c4f253eb4d3ee3b6a8df74e20468be124d8b
+DIST pdfarranger-1.6.2.tar.gz 197726 BLAKE2B aee8ee7d32603f20bc01d9f5f77290390e8a038bf79e3c4f689a71ec1c3e454784b2225b43d33bdfd7897785827141cfe1770dcf41d233c4ec1f3865d6f1e3c0 SHA512 610c4dfaa141cfb8caebfc72b524cda05455ed4a5c1e336772655bd02ceac25fafedb439dbe83e87c88da189147eaf91149e9af92ec745a52f8a24fcee5fd390
diff --git a/app-text/pdfarranger/pdfarranger-1.6.2.ebuild b/app-text/pdfarranger/pdfarranger-1.6.2.ebuild
new file mode 100644
index 000000000000..479bc37e87ea
--- /dev/null
+++ b/app-text/pdfarranger/pdfarranger-1.6.2.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{5,6,7,8,9} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+inherit distutils-r1 xdg-utils
+
+DESCRIPTION="Merge or split pdfs; rearrange, rotate, crop pages."
+HOMEPAGE="https://github.com/jeromerobert/pdfarranger"
+SRC_URI="https://github.com/jeromerobert/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+RDEPEND="dev-python/pikepdf[${PYTHON_USEDEP}]
+ dev-python/pygobject:3[${PYTHON_USEDEP},cairo]
+ dev-python/pycairo[${PYTHON_USEDEP}]
+ x11-libs/gtk+:3[introspection]
+ x11-libs/pango[introspection]
+ app-text/poppler[introspection,cairo]"
+DEPEND="${RDEPEND}
+ dev-python/python-distutils-extra[${PYTHON_USEDEP}]"
+
+src_install() {
+ distutils-r1_src_install
+ insinto /usr/share/icons
+ doins -r data/icons/hicolor
+}
+
+pkg_postinst() {
+ xdg_desktop_database_update
+ xdg_icon_cache_update
+ xdg_mimeinfo_database_update
+}
+
+pkg_postrm() {
+ xdg_desktop_database_update
+ xdg_icon_cache_update
+ xdg_mimeinfo_database_update
+}
diff --git a/app-text/sablotron/sablotron-1.0.3-r2.ebuild b/app-text/sablotron/sablotron-1.0.3-r2.ebuild
index 3d8288a19d60..9910b99b55bb 100644
--- a/app-text/sablotron/sablotron-1.0.3-r2.ebuild
+++ b/app-text/sablotron/sablotron-1.0.3-r2.ebuild
@@ -2,6 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=7
+
inherit autotools
MY_PN="Sablot"
@@ -16,7 +17,7 @@ SRC_URI="mirror://sourceforge/sablotron/${MY_P}.tar.gz"
LICENSE="MPL-1.1"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos"
-IUSE="perl static-libs"
+IUSE="perl"
RDEPEND="
>=dev-libs/expat-1.95.6-r1
@@ -38,14 +39,14 @@ PATCHES=(
src_prepare() {
default
sed -i configure.in -e 's|AM_CONFIG_HEADER|AC_CONFIG_HEADERS|g' || die
+ mv configure.{in,ac} || die
eautoreconf
- elibtoolize
}
src_configure() {
econf \
+ --disable-static \
$(use_enable perl perlconnect) \
- $(use_enable static-libs static) \
--with-html-dir="${EPREFIX}"/usr/share/doc/${PF}/html
}
diff --git a/dev-libs/libevent/libevent-9999.ebuild b/dev-libs/libevent/libevent-9999.ebuild
index 71d7fb943c27..ed19f34dab5f 100644
--- a/dev-libs/libevent/libevent-9999.ebuild
+++ b/dev-libs/libevent/libevent-9999.ebuild
@@ -15,12 +15,13 @@ LICENSE="BSD"
SLOT="0"
KEYWORDS=""
IUSE="
- +clock-gettime debug libressl malloc-replacement +ssl static-libs test
- +threads verbose-debug
+ +clock-gettime debug libressl malloc-replacement mbedtls +ssl static-libs
+ test +threads verbose-debug
"
RESTRICT="test"
DEPEND="
+ mbedtls? ( net-libs/mbedtls )
ssl? (
!libressl? ( >=dev-libs/openssl-1.0.1h-r2:0=[${MULTILIB_USEDEP}] )
libressl? ( dev-libs/libressl:0=[${MULTILIB_USEDEP}] )
@@ -52,6 +53,7 @@ multilib_src_configure() {
$(use_enable clock-gettime) \
$(use_enable debug debug-mode) \
$(use_enable malloc-replacement malloc-replacement) \
+ $(use_enable mbedtls) \
$(use_enable ssl openssl) \
$(use_enable static-libs static) \
$(use_enable test libevent-regress) \
diff --git a/dev-libs/libevent/metadata.xml b/dev-libs/libevent/metadata.xml
index 5da24754971a..5dcf1e543dce 100644
--- a/dev-libs/libevent/metadata.xml
+++ b/dev-libs/libevent/metadata.xml
@@ -1,20 +1,22 @@
<?xml version='1.0' encoding='UTF-8'?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
- <maintainer type="person">
- <email>jer@gentoo.org</email>
- <name>Jeroen Roovers</name>
- </maintainer>
- <upstream>
- <remote-id type="cpe">cpe:/a:niels_provos:libevent</remote-id>
- <remote-id type="sourceforge">levent</remote-id>
- <remote-id type="github">libevent/libevent</remote-id>
- </upstream>
- <use>
- <flag name="clock-gettime">Disable use of clock_gettime even if it is available</flag>
- <flag name="debug">Support for running in debug mode</flag>
- <flag name="malloc-replacement">Support for replacing the memory management functions</flag>
- <flag name="verbose-debug">Support for verbose debug logging</flag>
- </use>
+<maintainer type="person">
+<email>jer@gentoo.org</email>
+<name>Jeroen Roovers</name>
+</maintainer>
+<upstream>
+<remote-id type="cpe">cpe:/a:niels_provos:libevent</remote-id>
+<remote-id type="github">libevent/libevent</remote-id>
+<remote-id type="sourceforge">levent</remote-id>
+</upstream>
+<use>
+<flag name="clock-gettime">Disable use of clock_gettime even if it is available</flag>
+<flag name="debug">Support for running in debug mode</flag>
+<flag name="malloc-replacement">Support for replacing the memory management functions</flag>
+<flag name="mbedtls">Support for <pkg>net-libs/mbedtls</pkg> encryption</flag>
+<flag name="ssl">Support for <pkg>dev-libs/openssl</pkg> encryption</flag>
+<flag name="verbose-debug">Support for verbose debug logging</flag>
+</use>
<origin>gentoo-staging</origin>
</pkgmetadata>
diff --git a/dev-libs/libspt/libspt-1.1-r2.ebuild b/dev-libs/libspt/libspt-1.1-r2.ebuild
index 8baeb531c641..69e4012c9ebf 100644
--- a/dev-libs/libspt/libspt-1.1-r2.ebuild
+++ b/dev-libs/libspt/libspt-1.1-r2.ebuild
@@ -1,7 +1,7 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI="7"
+EAPI=7
inherit autotools
@@ -12,7 +12,7 @@ SRC_URI="http://www.j10n.org/${PN}/${P}.tar.bz2"
LICENSE="BSD-2"
SLOT="0"
KEYWORDS="~alpha amd64 ppc x86"
-IUSE="+libtirpc static-libs"
+IUSE="+libtirpc"
RESTRICT="test"
RDEPEND="!libtirpc? ( elibc_glibc? ( sys-libs/glibc[rpc(-)] ) )
@@ -35,6 +35,13 @@ src_prepare() {
src_configure() {
econf \
- $(use_enable static-libs static) \
+ --disable-static \
$(use_with libtirpc)
}
+
+src_install() {
+ default
+
+ # no static archives
+ find "${ED}" -name '*.la' -delete || die
+}
diff --git a/dev-libs/libspt/libspt-1.1-r4.ebuild b/dev-libs/libspt/libspt-1.1-r4.ebuild
index 70a910a3565f..96943bcbc94d 100644
--- a/dev-libs/libspt/libspt-1.1-r4.ebuild
+++ b/dev-libs/libspt/libspt-1.1-r4.ebuild
@@ -1,7 +1,7 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI="7"
+EAPI=7
inherit autotools
@@ -12,7 +12,7 @@ SRC_URI="http://www.j10n.org/${PN}/${P}.tar.bz2"
LICENSE="BSD-2"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
-IUSE="static-libs suid"
+IUSE="suid"
RESTRICT="test"
RDEPEND="net-libs/libtirpc"
@@ -34,13 +34,16 @@ src_prepare() {
src_configure() {
econf \
- $(use_enable static-libs static) \
+ --disable-static \
--with-libtirpc
}
src_install() {
default
+ # no static archives
+ find "${ED}" -name '*.la' -delete || die
+
if use suid; then
fperms 4755 /usr/libexec/sptagent
fi
diff --git a/dev-libs/nspr/nspr-4.26.ebuild b/dev-libs/nspr/nspr-4.26.ebuild
index 44894b7ad469..dffeefa37722 100644
--- a/dev-libs/nspr/nspr-4.26.ebuild
+++ b/dev-libs/nspr/nspr-4.26.ebuild
@@ -13,7 +13,7 @@ SRC_URI="https://archive.mozilla.org/pub/nspr/releases/v${PV}/src/${P}.tar.gz"
LICENSE="|| ( MPL-2.0 GPL-2 LGPL-2.1 )"
SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv s390 sparc x86 ~ppc-aix ~amd64-linux ~x86-linux ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv s390 sparc x86 ~ppc-aix ~amd64-linux ~x86-linux ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
IUSE="debug elibc_musl"
MULTILIB_CHOST_TOOLS=(
diff --git a/dev-libs/nss/nss-3.55.ebuild b/dev-libs/nss/nss-3.55.ebuild
index ccb3ecfb6492..98239349ab4c 100644
--- a/dev-libs/nss/nss-3.55.ebuild
+++ b/dev-libs/nss/nss-3.55.ebuild
@@ -15,7 +15,7 @@ SRC_URI="https://archive.mozilla.org/pub/security/nss/releases/${RTM_NAME}/src/$
LICENSE="|| ( MPL-2.0 GPL-2 LGPL-2.1 )"
SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 s390 sparc x86 ~amd64-linux ~x86-linux ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 s390 sparc x86 ~amd64-linux ~x86-linux ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
IUSE="cacert utils"
# pkg-config called by nss-config -> virtual/pkgconfig in RDEPEND
RDEPEND="
diff --git a/dev-libs/roct-thunk-interface/Manifest b/dev-libs/roct-thunk-interface/Manifest
index 5aec013dd986..e4f24bfae9cb 100644
--- a/dev-libs/roct-thunk-interface/Manifest
+++ b/dev-libs/roct-thunk-interface/Manifest
@@ -3,3 +3,4 @@ DIST roct-thunk-interface-3.1.0.tar.gz 2688973 BLAKE2B b372e12ba5795a0f1e85f7c90
DIST roct-thunk-interface-3.3.0.tar.gz 2689906 BLAKE2B 0eee8be65b0be8136dc0091cbc5534b89d630b9ffc1af1d6bdbf98671e141f524b3789153da673ed27dc3810d73e6ea8afb2fed776aa8df83e3c613b3776f81c SHA512 6ee02e5a9ef04ff9f873f762a78dcab93e45a98793545a882839fc2c890ea13030038130b1de266422eea58681e9fffa119e54b8d2f980c3a09c92b692d5cf3e
DIST roct-thunk-interface-3.5.0.tar.gz 2694261 BLAKE2B 57beccb18bfcea9f99704e21610d62e922feee772d912a8e3e4b0618e309a0fd0983bc62f7476511d1c94dc1f7fbb95d2a7da8205ba735833bcc0846dca13e3a SHA512 aeeb066924d0b20aadf1e2ea6f752d4de1e579fcf245b8866d2856a8d0ca12c907234d97e986512c7c6fa58460937aa5fb574485fbc7975baae4c2fcef519d6c
DIST roct-thunk-interface-3.6.0.tar.gz 2692784 BLAKE2B 13b5834b733037828a532485a4e5a44e31eee17d42ebdcadec1a67b4d157a7a7ee3e92e8f0f03c6a5f17dba55931fd7734d7021d204ba7567d322ff023d05fcf SHA512 f4578833a17b0a4e6be504403dbdc69cdb8702f5255ac018463026f79df9df56c602abe362c39e566df22cd73ef12c1ff648ff16ce3830d0ec03283a978ca318
+DIST roct-thunk-interface-3.7.0.tar.gz 2692297 BLAKE2B 5a060becb1b35e4eb499de5c177b5747789f02036d6e1bbf241a4054430e819bab4c188aa83f1cec0d35c80a3c0af47298fdd1c34d272f693dac9da191d8d111 SHA512 307e88808d3c852837f81c8745181edaa46e0f205fa36b9af531661c9a6a2dee5f360eb14e9f607376f27969e438f075dd44336606803ae2f7ce597f7fe46135
diff --git a/dev-libs/roct-thunk-interface/roct-thunk-interface-3.7.0.ebuild b/dev-libs/roct-thunk-interface/roct-thunk-interface-3.7.0.ebuild
new file mode 100644
index 000000000000..ee5be506ed83
--- /dev/null
+++ b/dev-libs/roct-thunk-interface/roct-thunk-interface-3.7.0.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake linux-info
+
+if [[ ${PV} == *9999 ]] ; then
+ EGIT_REPO_URI="https://github.com/RadeonOpenCompute/ROCT-Thunk-Interface/"
+ inherit git-r3
+else
+ SRC_URI="https://github.com/RadeonOpenCompute/ROCT-Thunk-Interface/archive/rocm-${PV}.tar.gz -> ${P}.tar.gz"
+ S="${WORKDIR}/ROCT-Thunk-Interface-rocm-${PV}"
+ KEYWORDS="~amd64"
+fi
+
+DESCRIPTION="Radeon Open Compute Thunk Interface"
+HOMEPAGE="https://github.com/RadeonOpenCompute/ROCT-Thunk-Interface"
+CONFIG_CHECK="~HSA_AMD ~HMM_MIRROR ~ZONE_DEVICE ~DRM_AMDGPU ~DRM_AMDGPU_USERPTR"
+LICENSE="MIT"
+SLOT="0/$(ver_cut 1-2)"
+
+RDEPEND="sys-process/numactl"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+ sed -e "s:get_version ( \"1.0.0\" ):get_version ( \"${PV}\" ):" -i CMakeLists.txt || die
+ cmake_src_prepare
+}
+src_configure() {
+ local mycmakeargs=(
+ -DCPACK_PACKAGING_INSTALL_PREFIX="${EPREFIX}/usr"
+ )
+ cmake_src_configure
+}
diff --git a/dev-libs/roct-thunk-interface/roct-thunk-interface-9999.ebuild b/dev-libs/roct-thunk-interface/roct-thunk-interface-9999.ebuild
index 973e79e665c8..ee5be506ed83 100644
--- a/dev-libs/roct-thunk-interface/roct-thunk-interface-9999.ebuild
+++ b/dev-libs/roct-thunk-interface/roct-thunk-interface-9999.ebuild
@@ -20,8 +20,7 @@ CONFIG_CHECK="~HSA_AMD ~HMM_MIRROR ~ZONE_DEVICE ~DRM_AMDGPU ~DRM_AMDGPU_USERPTR"
LICENSE="MIT"
SLOT="0/$(ver_cut 1-2)"
-RDEPEND="sys-process/numactl
- sys-apps/pciutils"
+RDEPEND="sys-process/numactl"
DEPEND="${RDEPEND}"
src_prepare() {
@@ -34,9 +33,3 @@ src_configure() {
)
cmake_src_configure
}
-src_compile() {
- cmake_src_compile build-dev
-}
-src_install() {
- cmake_src_install install-dev
-}
diff --git a/dev-python/matplotlib/Manifest b/dev-python/matplotlib/Manifest
index f5960478570e..ea54fac553d1 100644
--- a/dev-python/matplotlib/Manifest
+++ b/dev-python/matplotlib/Manifest
@@ -1,3 +1,4 @@
DIST freetype-2.6.1.tar.gz 2302080 BLAKE2B 6a5fb98e5fa6cf4b7d7533ad44e364227d8c2f7dded4c552d6e22e204c32b7858f20d41d1e809ecdad6e5353d6cec81bea0e0b06a4533363a41ecab83ce3f7ca SHA512 ff2daed64d712737085924c50e75862fafbcbb24eef6d72dac9eaae63bb656d7245397fd828f5d3e47ac847f7ff83d73dedfdd61fde1f7d6e0f0cdeb49bcf83b
DIST matplotlib-3.2.2.tar.gz 40295831 BLAKE2B 32fb34b95d1df928f949fd7b04909da2494b56efbe543f75bffedf1d9d85a0089a50cd27b82a28ac75361b56fe3f2a6c95b7d9e777778ce46f1d2805e5dae9df SHA512 4b8080fddc717f311a87b6ef1a279304da2931ef2d6de85688c153f14da5009351f42d9533c44695ca43ce1496bb642927aca822a7946a2d50d40a7d25224b31
DIST matplotlib-3.3.0.tar.gz 38782487 BLAKE2B 97330d93b8d8a64a1296ccb173e44ebcc54c61e22aacdd73cc38a46fb2d22fbfe7334fb3c6993be001c475724c47f530243affddd71ec647232ac093db6e3135 SHA512 2ffd9e79e300a37092ab4b5a7156c2f57e408975818abd413c74477ad622030c7636695467aab821c9996564cddec57e26ba6a8004f6639070964fcb7a510a75
+DIST matplotlib-3.3.1.tar.gz 38780756 BLAKE2B b67388408da5ca6c36333705f0c19db6a1dc815819f01a5b0a7fe4ebd990f3e0df8def90971494e308ba8731f305db80dbe367f64c4fbf1294fd0f884cbb2d64 SHA512 cb3c61b7c96dde226f978980ebc960edc1329655efdeb974c8b6d8fd0cd3b660a8dfa3c98c1b140128b2ba13b134c81b000f6e87fa049d77512c81b1138b2b35
diff --git a/dev-python/matplotlib/matplotlib-3.3.1.ebuild b/dev-python/matplotlib/matplotlib-3.3.1.ebuild
new file mode 100644
index 000000000000..20d7cc116c06
--- /dev/null
+++ b/dev-python/matplotlib/matplotlib-3.3.1.ebuild
@@ -0,0 +1,276 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{5,6,7,8,9} )
+PYTHON_REQ_USE='tk?,threads(+)'
+
+DISTUTILS_USE_SETUPTOOLS=bdepend
+inherit distutils-r1 flag-o-matic virtualx toolchain-funcs prefix
+
+FT_PV=2.6.1
+DESCRIPTION="Pure python plotting library with matlab like syntax"
+HOMEPAGE="https://matplotlib.org/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz
+ test? (
+ https://downloads.sourceforge.net/project/freetype/freetype2/${FT_PV}/freetype-${FT_PV}.tar.gz
+ )"
+
+# Main license: matplotlib
+# Some modules: BSD
+# matplotlib/backends/qt4_editor: MIT
+# Fonts: BitstreamVera, OFL-1.1
+LICENSE="BitstreamVera BSD matplotlib MIT OFL-1.1"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+IUSE="cairo doc excel examples gtk3 latex qt5 tk wxwidgets"
+
+# internal copy of pycxx highly patched
+# dev-python/pycxx
+RDEPEND="
+ dev-python/certifi[${PYTHON_USEDEP}]
+ >=dev-python/cycler-0.10.0-r1[${PYTHON_USEDEP}]
+ >=dev-python/kiwisolver-1.2.0[${PYTHON_USEDEP}]
+ >=dev-python/numpy-1.18.2[${PYTHON_USEDEP}]
+ >=dev-python/pyparsing-1.5.6[${PYTHON_USEDEP}]
+ dev-python/python-dateutil:0[${PYTHON_USEDEP}]
+ >=dev-python/pytz-2019.3[${PYTHON_USEDEP}]
+ >=dev-python/six-1.14.0[${PYTHON_USEDEP}]
+ dev-python/versioneer[${PYTHON_USEDEP}]
+ media-fonts/dejavu
+ media-fonts/stix-fonts
+ media-libs/freetype:2
+ media-libs/libpng:0
+ >=media-libs/qhull-2013
+ >=www-servers/tornado-6.0.4[${PYTHON_USEDEP}]
+ cairo? (
+ dev-python/cairocffi[${PYTHON_USEDEP}]
+ )
+ excel? (
+ dev-python/xlwt[${PYTHON_USEDEP}]
+ )
+ gtk3? (
+ dev-python/pygobject:3[cairo?,${PYTHON_USEDEP}]
+ x11-libs/gtk+:3[introspection]
+ )
+ latex? (
+ virtual/latex-base
+ app-text/dvipng
+ app-text/ghostscript-gpl
+ app-text/poppler[utils]
+ dev-texlive/texlive-fontsrecommended
+ dev-texlive/texlive-latexextra
+ dev-texlive/texlive-xetex
+ )
+ qt5? (
+ dev-python/PyQt5[gui,widgets,${PYTHON_USEDEP}]
+ )
+ wxwidgets? (
+ $(python_gen_cond_dep '
+ dev-python/wxpython:*[${PYTHON_USEDEP}]
+ ' python3_{6,7,8})
+ )
+"
+
+BDEPEND="
+ ${RDEPEND}
+ virtual/pkgconfig
+ doc? (
+ >=app-text/dvipng-1.15-r1
+ >=dev-python/colorspacious-1.1.2[${PYTHON_USEDEP}]
+ >=dev-python/pillow-7.1.1[${PYTHON_USEDEP}]
+ >=dev-python/ipython-1.18.2[${PYTHON_USEDEP}]
+ >=dev-python/numpydoc-0.9.2[${PYTHON_USEDEP}]
+ >=sci-libs/scipy-1.4.1[${PYTHON_USEDEP}]
+ >=dev-python/sphinx-1.3.1[${PYTHON_USEDEP}]
+ >=dev-python/sphinx-gallery-0.3.1-r1[${PYTHON_USEDEP}]
+ >=dev-python/xlwt-1.3.0-r1[${PYTHON_USEDEP}]
+ dev-texlive/texlive-latexextra
+ dev-texlive/texlive-fontsrecommended
+ dev-texlive/texlive-latexrecommended
+ >=media-gfx/graphviz-2.42.3[cairo]
+ )
+ test? (
+ dev-python/flaky[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pygobject:3[cairo?,${PYTHON_USEDEP}]
+ x11-libs/gtk+:3[introspection]
+ )
+"
+
+# A few C++ source files are written to srcdir.
+# Other than that, the ebuild shall be fit for out-of-source build.
+DISTUTILS_IN_SOURCE_BUILD=1
+
+distutils_enable_tests pytest
+
+pkg_setup() {
+ unset DISPLAY # bug #278524
+}
+
+use_supported() {
+ case ${1} in
+ wxwidgets)
+ [[ ${EPYTHON} == python3.[678] ]]
+ ;;
+ esac
+
+ return 0
+}
+
+use_setup() {
+ local uword="${2:-${1}}"
+ if use_supported "${1}" && use "${1}"; then
+ echo "${uword} = True"
+ echo "${uword}agg = True"
+ else
+ echo "${uword} = False"
+ echo "${uword}agg = False"
+ fi
+}
+
+python_prepare_all() {
+# Generates test failures, but fedora does it
+# local PATCHES=(
+# "${FILESDIR}"/${P}-unbundle-pycxx.patch
+# "${FILESDIR}"/${P}-unbundle-agg.patch
+# )
+# rm -r agg24 CXX || die
+# rm -r agg24 || die
+
+# cat > lib/${PN}/externals/six.py <<-EOF
+# from __future__ import absolute_import
+# from six import *
+# EOF
+
+ local PATCHES=(
+ "${FILESDIR}"/matplotlib-3.3.0-test.patch
+ )
+
+ # requires jupyter-nbconvert
+ rm lib/matplotlib/tests/test_backend_nbagg.py || die
+
+ sed \
+ -e 's/matplotlib.pyparsing_py[23]/pyparsing/g' \
+ -i lib/matplotlib/{mathtext,fontconfig_pattern}.py \
+ || die "sed pyparsing failed"
+
+ sed -e 's:\(@pytest.mark.flaky\)(reruns=3):\1:' \
+ -i lib/matplotlib/tests/test_*.py || die
+
+ hprefixify setupext.py
+
+ rm -rf libqhull || die
+
+ export XDG_RUNTIME_DIR="${T}/runtime-dir"
+ mkdir "${XDG_RUNTIME_DIR}" || die
+ chmod 0700 "${XDG_RUNTIME_DIR}" || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_configure_all() {
+ append-flags -fno-strict-aliasing
+ append-cppflags -DNDEBUG # or get old trying to do triangulation
+ tc-export PKG_CONFIG
+}
+
+python_configure() {
+ mkdir -p "${BUILD_DIR}" || die
+
+ # create setup.cfg (see setup.cfg.template for any changes).
+
+ # common switches.
+ cat > "${BUILD_DIR}"/setup.cfg <<- EOF || die
+ [directories]
+ basedirlist = ${EPREFIX}/usr
+ [provide_packages]
+ pytz = False
+ dateutil = False
+ [libs]
+ system_freetype = True
+ system_qhull = True
+ [packages]
+ tests = $(usex test True False)
+ [gui_support]
+ agg = True
+ gtk = False
+ gtkagg = False
+ pyside = False
+ pysideagg = False
+ qt4 = False
+ qt4agg = False
+ $(use_setup cairo)
+ $(use_setup gtk3)
+ $(use_setup qt5)
+ $(use_setup tk)
+ $(use_setup wxwidgets wx)
+ EOF
+
+ if use gtk3 && use cairo; then
+ echo "gtk3cairo = True" >> "${BUILD_DIR}"/setup.cfg || die
+ else
+ echo "gtk3cairo = False" >> "${BUILD_DIR}"/setup.cfg || die
+ fi
+}
+
+wrap_setup() {
+ local MAKEOPTS=-j1
+ local -x MPLSETUPCFG="${BUILD_DIR}"/setup.cfg
+ "$@"
+}
+
+python_compile() {
+ wrap_setup distutils-r1_python_compile --build-lib="${BUILD_DIR}"/lib
+}
+
+python_compile_all() {
+ if use doc; then
+ cd doc || die
+
+ # necessary for in-source build
+ local -x PYTHONPATH="${BUILD_DIR}"/build/lib:${PYTHONPATH}
+
+ VARTEXFONTS="${T}"/fonts \
+ emake SPHINXOPTS= O=-Dplot_formats=png:100 html
+ fi
+}
+
+src_test() {
+ virtx distutils-r1_src_test
+}
+
+python_test() {
+ # we need to rebuild mpl against bundled freetype, otherwise
+ # over 1000 tests will fail because of mismatched font rendering
+ grep -v system_freetype "${BUILD_DIR}"/setup.cfg \
+ > "${BUILD_DIR}"/test-setup.cfg || die
+ local -x MPLSETUPCFG="${BUILD_DIR}"/test-setup.cfg
+ ln -s "${WORKDIR}/freetype-${FT_PV}" "${BUILD_DIR}" || die
+ distutils-r1_python_compile -j1 --build-lib="${BUILD_DIR}"/test-lib
+ local -x PYTHONPATH=${BUILD_DIR}/test-lib:${PYTHONPATH}
+
+ "${EPYTHON}" -c "import sys, matplotlib as m; sys.exit(m.test(argv=['-m', 'not network'], verbosity=2))" || die
+}
+
+python_install() {
+ wrap_setup distutils-r1_python_install
+
+ # mpl_toolkits namespace
+ python_moduleinto mpl_toolkits
+ python_domodule lib/mpl_toolkits/__init__.py
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( doc/build/html/. )
+
+ distutils-r1_python_install_all
+
+ if use examples; then
+ dodoc -r examples
+ docompress -x /usr/share/doc/${PF}/examples
+ fi
+
+ find "${D}" -name '*.pth' -delete || die
+}
diff --git a/dev-python/pikepdf/Manifest b/dev-python/pikepdf/Manifest
index 33c60f2d84ff..0f6f20ed48e6 100644
--- a/dev-python/pikepdf/Manifest
+++ b/dev-python/pikepdf/Manifest
@@ -1 +1,2 @@
DIST pikepdf-1.17.0.tar.gz 2329851 BLAKE2B e0259b8b87c8e55cefa6615254b36cd996dab62564bb4741603ad2abdde8772c7a488d86d5310b85a7a367c09f7a96dde31acfc280205a6cd1b66df423f30c56 SHA512 5ceff35fb029adea42a3c19e88d52fb88c6060f6f82bed33605e8173ce4628b612763b52dec0ab46b9dbbcbc77b079b2802a50fc789822ed7aed4a31272bec4b
+DIST pikepdf-1.18.0.tar.gz 2351789 BLAKE2B b33b69f57fcd5293814ac880376627b7184ca632e09f668fd274eae6b3640d97699681597470c17abe00ec334ec894a073cc1a1eff91ffa7df572ef78542b429 SHA512 9a04fe6ce145a6f28a180261ac004fc0ce3c525c4e9e7c5eb4bb7dbf8aaa6d3e6f726cec5d20033a5aaa60b793666df52c20f13c8ee7c0c3266fb8e557d69c18
diff --git a/dev-python/pikepdf/pikepdf-1.18.0.ebuild b/dev-python/pikepdf/pikepdf-1.18.0.ebuild
new file mode 100644
index 000000000000..18dad3d78832
--- /dev/null
+++ b/dev-python/pikepdf/pikepdf-1.18.0.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{5,6,7,8,9} )
+inherit distutils-r1
+
+DESCRIPTION="Python library to work with pdf files based on qpdf"
+HOMEPAGE="https://pypi.org/project/pikepdf/ https://github.com/pikepdf/pikepdf"
+SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="app-text/qpdf:0=
+ dev-python/pillow[${PYTHON_USEDEP}]
+ dev-python/lxml[${PYTHON_USEDEP}]
+ dev-python/pybind11[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+ dev-python/setuptools_scm_git_archive[${PYTHON_USEDEP}]
+ test? ( >=dev-python/attrs-19.1.0
+ >=dev-python/hypothesis-4.24
+ <dev-python/hypothesis-6.0
+ >=dev-python/pillow-5.0.0
+ >=dev-python/pytest-4.4.0
+ <dev-python/pytest-5.3.5
+ >=dev-python/pytest-xdist-1.28
+ <dev-python/pytest-xdist-2.0
+ >=dev-python/pytest-helpers-namespace-2019.1.8
+ >=dev-python/pytest-timeout-1.3.3
+ >=dev-python/python-xmp-toolkit-2.0.1 )"
+
+PATCHES=( "${FILESDIR}"/${PN}-1.8.3-test.patch )
+
+python_test() {
+ pytest
+}
+
+# When ipython and matplotlib will get python3_8 support, we'll be able to add
+#
+#IUSE="doc"
+#DEPEND="doc? ( dev-python/ipython
+# dev-python/matplotlib
+# dev-python/sphinx-1.4
+# dev-python/sphinx_rtd_theme )"
+#python_compile_all() {
+# use doc && emake -C docs html
+#}
+#python_install_all() {
+# use doc && local HTML_DOCS=( docs/_build/html/. )
+# distutils-r1_python_install_all
+#}
diff --git a/dev-python/pygame/pygame-1.9.6-r1.ebuild b/dev-python/pygame/pygame-1.9.6-r1.ebuild
index 00af2bb475de..1d94c1a2a6bf 100644
--- a/dev-python/pygame/pygame-1.9.6-r1.ebuild
+++ b/dev-python/pygame/pygame-1.9.6-r1.ebuild
@@ -12,7 +12,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="LGPL-2.1"
SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ppc ~ppc64 ~sparc x86"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ppc ~ppc64 sparc x86"
IUSE="doc examples midi opengl test X"
RESTRICT="!test? ( test )"
diff --git a/dev-python/pyopengl/pyopengl-3.1.5.ebuild b/dev-python/pyopengl/pyopengl-3.1.5.ebuild
index 303e170c2773..5c96b6309f76 100644
--- a/dev-python/pyopengl/pyopengl-3.1.5.ebuild
+++ b/dev-python/pyopengl/pyopengl-3.1.5.ebuild
@@ -19,7 +19,7 @@ S="${WORKDIR}/${MY_P}"
# mirror://sourceforge/pyopengl/${MY_P}.tar.gz" # broken mirror for this release
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc x86 ~amd64-linux ~x86-linux"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~mips ~ppc ~ppc64 sparc x86 ~amd64-linux ~x86-linux"
IUSE="tk"
RDEPEND="
diff --git a/games-util/steam-launcher/metadata.xml b/games-util/steam-launcher/metadata.xml
new file mode 100644
index 000000000000..2038b81bdb2f
--- /dev/null
+++ b/games-util/steam-launcher/metadata.xml
@@ -0,0 +1,19 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>dev@kicherer.org</email>
+ <name>Mario Kicherer</name>
+ </maintainer>
+ <longdescription>
+ This ebuild installs common files for the Steam environment,
+ like bootstrap archive and icons, but not the client itself.
+ </longdescription>
+ <upstream>
+ <bugs-to>https://github.com/anyc/steam-overlay</bugs-to>
+ </upstream>
+ <use>
+ <flag name='steamruntime'>Use the official steam runtime libraries</flag>
+ </use>
+ <origin>steam-overlayl</origin>
+</pkgmetadata>
diff --git a/gnome-extra/nemo-fileroller/Manifest b/gnome-extra/nemo-fileroller/Manifest
index 21000abd033a..eb25f7e430ae 100644
--- a/gnome-extra/nemo-fileroller/Manifest
+++ b/gnome-extra/nemo-fileroller/Manifest
@@ -1,2 +1,2 @@
-DIST nemo-extensions-4.6.0.tar.gz 754433 BLAKE2B 83ce84f78a1b991edc7eca156ce7ddb792b70e467004671a00a713227488ca96576c9ab280805eff71090dc47b6eecfdeec636aa4e20d046e38241cba95de987 SHA512 b496732b984f3d4f3fc93dc96ef65b711eaa55bb9c777c19ab224e7ab138f8c6784aa2f16e9a0cc77e79581ed7a04a439955369804dbf930b835df042d7dbd32
-EBUILD nemo-fileroller-4.6.0.ebuild 633 BLAKE2B 7b754a69a1fa0ce08c74eb153eec2fc791cf79b3ddccd8ec65f26a0326e40ea41825eab08632fb7d0eb2dd52f128350ced9ce703ae5ba77479f46dd3a37dc17a SHA512 31853fae4d30f41474523f2f253270744a41bed55fa8d2cd9d3f1e61190771f169247de33ef27ffb971e6c6e4be58014d321eb9f3c25e4810030efcbc2538b86
+DIST 3.2.0.tar.gz 1162843 BLAKE2B 79c864f4d74e2e8d382185abd16c873b64e745ac176a2aa162db37a86a3644d3f0d8ff83c6f2e2a1986d35dba18b5ce0769926a81afd8a193cf35c443f3a1097 SHA512 961aafd1f48033e538b6da2ceee11f98e4319944709b874ad78416790e7d42fd1a82e94a1625fbcd1dbf1fac52f7734be1f58684476e97a66ca63b13ccd7a626
+DIST 4.4.0.tar.gz 790589 BLAKE2B 655edfcfb99baf2b36cc8fea4ee12a1d2f6ed9740bbae0231d8e4daacbf8e2117cbcc12420c0d6eac56eb45dd91dd632e5544581b72063d7095ed6a4dc784c8c SHA512 5ca2cf57950986fdc0f3ed5962fa8ee914ac34bf46c702a0fe0323169060ae8f300406bcb5194fbf88b50aa41e6deb8fa2ee32fdf14eedb7fd9553b10240a2c9
diff --git a/gnome-extra/nemo-fileroller/nemo-fileroller-3.2.0.ebuild b/gnome-extra/nemo-fileroller/nemo-fileroller-3.2.0.ebuild
new file mode 100644
index 000000000000..83a06b536884
--- /dev/null
+++ b/gnome-extra/nemo-fileroller/nemo-fileroller-3.2.0.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils
+
+DESCRIPTION="File Roller integration for Nemo"
+HOMEPAGE="https://github.com/linuxmint/nemo-extensions"
+SRC_URI="https://github.com/linuxmint/nemo-extensions/archive/${PV}.tar.gz"
+S="${WORKDIR}/nemo-extensions-${PV}/${PN}"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE="doc"
+
+DEPEND="app-arch/file-roller
+ >=gnome-extra/nemo-${PV}[introspection]"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ if [[ ! -e configure ]] ; then
+ ./autogen.sh || die
+ fi
+}
diff --git a/gnome-extra/nemo-fileroller/nemo-fileroller-4.4.0.ebuild b/gnome-extra/nemo-fileroller/nemo-fileroller-4.4.0.ebuild
new file mode 100644
index 000000000000..a35d1af48b05
--- /dev/null
+++ b/gnome-extra/nemo-fileroller/nemo-fileroller-4.4.0.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils
+
+DESCRIPTION="File Roller integration for Nemo"
+HOMEPAGE="https://github.com/linuxmint/nemo-extensions"
+SRC_URI="https://github.com/linuxmint/nemo-extensions/archive/${PV}.tar.gz"
+S="${WORKDIR}/nemo-extensions-${PV}/${PN}"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE="doc"
+
+DEPEND="app-arch/file-roller
+ >=gnome-extra/nemo-${PV}"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ if [[ ! -e configure ]] ; then
+ ./autogen.sh || die
+ fi
+}
diff --git a/gnome-extra/nemo-fileroller/nemo-fileroller-4.6.0.ebuild b/gnome-extra/nemo-fileroller/nemo-fileroller-4.6.0.ebuild
deleted file mode 100644
index 06de99fc4051..000000000000
--- a/gnome-extra/nemo-fileroller/nemo-fileroller-4.6.0.ebuild
+++ /dev/null
@@ -1,31 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit autotools
-
-DESCRIPTION="Nemo file-roller integration"
-HOMEPAGE="https://github.com/linuxmint/nemo-extensions"
-SRC_URI="https://github.com/linuxmint/nemo-extensions/archive/${PV}.tar.gz -> nemo-extensions-${PV}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-DEPEND="gnome-extra/nemo"
-RDEPEND="${DEPEND}
- app-arch/file-roller"
-
-S="${WORKDIR}/nemo-extensions-${PV}/${PN}"
-
-src_prepare() {
- default
- eautoreconf
-}
-
-src_install() {
- default
-
- find "${D}" \( -name '*.a' -o -name '*.la' \) -delete || die
-}
diff --git a/media-plugins/kodi-game-libretro-snes9x/Manifest b/media-plugins/kodi-game-libretro-snes9x/Manifest
index 8a96a1f05798..1d0c96a762e5 100644
--- a/media-plugins/kodi-game-libretro-snes9x/Manifest
+++ b/media-plugins/kodi-game-libretro-snes9x/Manifest
@@ -1,2 +1,3 @@
DIST kodi-game-libretro-snes9x-1.60.0.10.tar.gz 1374802 BLAKE2B 3ce46bbda7412e7cd561ab3caf0f5d466ed23dd20ba730a6181ebf78d7d01f4f80b38d51b20061ac17e03e6e90047c977555e53ef3deb8f82b7dd409f8def750 SHA512 0b59b4d3038a0e85d2380a7de1ec7c8f70bc37679c7fe6ad1fc284ba2dabb195274c732dc7e9e6a78d4337c935de84087297424ec8afc981f08a70fba1150f31
DIST kodi-game-libretro-snes9x-1.60.0.11.tar.gz 1374854 BLAKE2B 26d56c86e65d1aac7b90d9a1f4cdcc226c3e8d4edfd68a740846f4718f17dcc4fc114ed02ff6e737c3c6274a61c5f8f7b4b7833501365bd14a92be04e9e396bf SHA512 0d434053808f85b45ed7eb54de1dad8cb1d78b9e7c4cff25039620f622c942d10eb38c982c7ea92a160ec42f485a129a1b77692d6794628bf5ba0f778ea429a9
+DIST kodi-game-libretro-snes9x-1.60.0.12.tar.gz 1374887 BLAKE2B b25ff8975151eaa89bf3ccde4d8d70e12458468f63c55c3b611c0d1382fe5b5d482c617d07e48c87020365432fa73d41cb3f6f114e3ec93e1041f2f93dae9e1b SHA512 e7b92508b7c0fce6c4756a0fa1ad53935b5388fa4771b4cafabdeaa968f711fc8c5557ddf43c937e5c649ab34a814d134439630946ebbb40de58b31b14919441
diff --git a/media-plugins/kodi-game-libretro-snes9x/kodi-game-libretro-snes9x-1.60.0.12.ebuild b/media-plugins/kodi-game-libretro-snes9x/kodi-game-libretro-snes9x-1.60.0.12.ebuild
new file mode 100644
index 000000000000..47c4e9a3401d
--- /dev/null
+++ b/media-plugins/kodi-game-libretro-snes9x/kodi-game-libretro-snes9x-1.60.0.12.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit cmake-utils kodi-addon
+
+DESCRIPTION="Snes9x GameClient for Kodi"
+HOMEPAGE="https://github.com/kodi-game/game.libretro.snes9x"
+SRC_URI=""
+
+if [[ ${PV} == *9999 ]]; then
+ SRC_URI=""
+ EGIT_REPO_URI="https://github.com/kodi-game/game.libretro.snes9x.git"
+ inherit git-r3
+else
+ KEYWORDS="~amd64 ~x86"
+ CODENAME="Matrix"
+ SRC_URI="https://github.com/kodi-game/game.libretro.snes9x/archive/${PV}-${CODENAME}.tar.gz -> ${P}.tar.gz"
+ S="${WORKDIR}/game.libretro.snes9x-${PV}-${CODENAME}"
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE=""
+
+DEPEND="
+ =media-tv/kodi-19*
+ games-emulation/libretro-snes9x
+ "
+RDEPEND="
+ media-plugins/kodi-game-libretro
+ ${DEPEND}
+ "
+src_prepare() {
+ echo 'find_library(SNES9X_LIB NAMES snes9x_libretro${CMAKE_SHARED_LIBRARY_SUFFIX} PATH_SUFFIXES libretro)' > "${S}/Findlibretro-snes9x.cmake" || die
+ default
+}
diff --git a/media-plugins/kodi-game-libretro-snes9x/kodi-game-libretro-snes9x-9999.ebuild b/media-plugins/kodi-game-libretro-snes9x/kodi-game-libretro-snes9x-9999.ebuild
index 1d5ec5a2f6b1..1b63e3b85540 100644
--- a/media-plugins/kodi-game-libretro-snes9x/kodi-game-libretro-snes9x-9999.ebuild
+++ b/media-plugins/kodi-game-libretro-snes9x/kodi-game-libretro-snes9x-9999.ebuild
@@ -15,7 +15,7 @@ if [[ ${PV} == *9999 ]]; then
inherit git-r3
else
KEYWORDS="~amd64 ~x86"
- CODENAME="Leia"
+ CODENAME="Matrix"
SRC_URI="https://github.com/kodi-game/game.libretro.snes9x/archive/${PV}-${CODENAME}.tar.gz -> ${P}.tar.gz"
S="${WORKDIR}/game.libretro.snes9x-${PV}-${CODENAME}"
fi
diff --git a/media-sound/jack-keyboard/jack-keyboard-2.7.2.ebuild b/media-sound/jack-keyboard/jack-keyboard-2.7.2-r1.ebuild
index f191880327e6..986617a4fa7a 100644
--- a/media-sound/jack-keyboard/jack-keyboard-2.7.2.ebuild
+++ b/media-sound/jack-keyboard/jack-keyboard-2.7.2-r1.ebuild
@@ -12,12 +12,12 @@ SRC_URI="mirror://sourceforge/${PN}/${PN}/${PV}/${P}.tar.gz"
LICENSE="public-domain"
SLOT="0"
KEYWORDS="~amd64 ~x86"
-IUSE="jack lash X"
+IUSE="lash X"
CDEPEND="
dev-libs/glib:2
+ virtual/jack
x11-libs/gtk+:2
- jack? ( virtual/jack )
lash? ( media-sound/lash )
X? ( x11-libs/libX11 )
"
@@ -33,8 +33,8 @@ src_prepare() {
}
src_configure() {
- local mymakeargs=(
- -DJackEnable=$(usex jack)
+ local mycmakeargs=(
+ -DJackEnable=ON # though configurable, does not compile withou jack
-DLashEnable=$(usex lash)
-DX11Enable=$(usex X)
)
diff --git a/net-wireless/unifi/Manifest b/net-wireless/unifi/Manifest
index 90f228d959d0..7d254eda46dd 100644
--- a/net-wireless/unifi/Manifest
+++ b/net-wireless/unifi/Manifest
@@ -4,4 +4,4 @@ DIST unifi-5.14.20.zip 154175461 BLAKE2B 379bec32c1d44eea9b58d00ef89d703aae8ff58
DIST unifi-5.14.22.zip 242779284 BLAKE2B 7056229ff86db56e192c96cc61b9a5c0fba8cd96727a5260af39c5949fe0df49d8bac880ac7e016938e7d7f36b6fa378addef73a08b074e8795898ae3a4ded4f SHA512 4bfa673cea02d014927844fcf4ab97c09581b4b9abe2eab618f388d74f4fa78c294f240beacfdc8a33316a9b73164224f114e28ea202f8b8930927183c11ec88
DIST unifi-5.6.42.zip 63581448 BLAKE2B dc12149acc56587043b9f6c45a43327a9a067dda86127c60ad62a4681a0c8ba873435b60183989332f561fb52f71c7207480766ec23d9c0e892cc20c521a9819 SHA512 467c0ad284a84795537484f371867d851e67c7e396215d539a9705f17f374b50db4051121a6634d1944474a2474bdd75fca860ab00b48634a5d3e8749a122989
DIST unifi-6.0.12.zip 179541918 BLAKE2B e8cd6e1ffc9bd1ecf128fe1c70d2948142649e9c16abd1577ca7b8271a4679b37fda7cbf1f0e31f21ee948a774c70cd486334b4e07ec28458e305e1b9ea30089 SHA512 a4575bc858bc262a8f9424daafff6984a2bae1ba2551257692efccb690da96d7b07a3b62dae7ca789ce8aa6e671f266fce2c9f01fe223c01b1f8b31c6f534be7
-DIST unifi-6.0.8.zip 222067835 BLAKE2B 25eec005ce6084eab975859c7edf20cbfd6bc007f0f2dad287e77f241b65bcfae945173eab5fed387dc4496302b0fd201a1aea519384df5fcb38d7d46ce46d57 SHA512 4bd27a75668b31b376f661e60048652d6a5606e801c27bc0f58b4ae126bf649eb950fa756e851ae30205347d5b0e93e0697eebd9fcd0eb0bb868843ad70a5066
+DIST unifi-6.0.13.zip 180668004 BLAKE2B 40eb75f67a58f9796c0f2b51cbf3a46021399e55be016986c531e5a090cbeee45889e69e52c53c668538977df64058e5782038f38e9b7ed667bcfc0b7872e5ff SHA512 9392eef34023a5071b2d2d1ff35bc7a17cb6ba3a70c452b884de86c832a85a419f1b4ecd8d6aeca2ab40a7280149e3794a36b6d0764be898bef2ea4ab2eba49b
diff --git a/net-wireless/unifi/unifi-6.0.8.ebuild b/net-wireless/unifi/unifi-6.0.13.ebuild
index 0d2f3902e736..d7fba07ec7ce 100644
--- a/net-wireless/unifi/unifi-6.0.8.ebuild
+++ b/net-wireless/unifi/unifi-6.0.13.ebuild
@@ -4,7 +4,7 @@
EAPI=6
# Set this var for any releases except stable
-RC_SUFFIX="-743c4647bb"
+RC_SUFFIX="-49f6654778"
inherit systemd
diff --git a/sys-apps/coreutils/coreutils-8.32-r1.ebuild b/sys-apps/coreutils/coreutils-8.32-r1.ebuild
index 2c8a310f12a6..f2a0f3fabeb9 100644
--- a/sys-apps/coreutils/coreutils-8.32-r1.ebuild
+++ b/sys-apps/coreutils/coreutils-8.32-r1.ebuild
@@ -19,7 +19,7 @@ SRC_URI="mirror://gnu/${PN}/${P}.tar.xz
LICENSE="GPL-3"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x86-linux"
+KEYWORDS="~alpha ~amd64 arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x86-linux"
IUSE="acl caps gmp hostname kill multicall nls selinux +split-usr static test vanilla xattr"
RESTRICT="!test? ( test )"
diff --git a/sys-cluster/rdma-core/Manifest b/sys-cluster/rdma-core/Manifest
index 9cd28667435a..76aed9e56da9 100644
--- a/sys-cluster/rdma-core/Manifest
+++ b/sys-cluster/rdma-core/Manifest
@@ -1,5 +1 @@
-DIST rdma-core-26.0.tar.gz 1444585 BLAKE2B 148b25f6108199b3845446e9f45a59d089e7f546218d70abeadffd5cf3e0b26569bc5099abfb6152f376689e04a493529a61fc1d6b40c153aca23b5df2776bf7 SHA512 7dfdd93d10e4c56cac5ac0c1b46900fe7a6c634920e470ebc582abd7a0f57c57d585b4e0dbbb5ad84f46ca8518132e684d44d33c62b0509461ed5b62b7e0f19b
-DIST rdma-core-26.1.tar.gz 1601313 BLAKE2B 459baa80d5cb74386e567880ec7fd2de9e4aaea177e7022603db5dd70f633152d86618bbab637ca337a9314c0c19b5c0f6a51f281802fa0b8bedb8fad149f26c SHA512 98f0e3f3e951f3b2287711526a2a6c62cb4e0f5eb693894c7f44783c5eb6d4213c9eedc39b2370563e8bca17e133497e475392004ace0203d2a39de371254742
-DIST rdma-core-27.0.tar.gz 1445552 BLAKE2B a038653865f8d37b6599a54ca7fef97b2ac131b3a11ce8696b5c1ec558e85332e950f8d5104f250b23a186224735b2a338fc03f875979bff342ad26ebb5b74b2 SHA512 8a299f4d3fe6ea98d8fc8d8135295e55c8bbf5d0d5f2e5fd362a5eb96d86f5aa84263736ab80a3c0eb104c7fc5fb5d43a2077cc6a1fed3d346af89597a4ddee2
-DIST rdma-core-28.0.tar.gz 1455729 BLAKE2B cee2030bda14d3833fa6e851e85d92ec7f91363a09e11bb7ce939ae144e4edbe32653a759a573d94a735ba6766911cb491e7871722bad81e45c3744dc3b8683e SHA512 aec8b8a0d67bcfe42d9d4a53f93bf03ead14fc6f8887fc9f05b2f1ccfd1aae1214c49ecbc01f16b585f71369e3c7a7e2c8d2adc42aa9b31436939b3f3038fde8
DIST rdma-core-30.0.tar.gz 1485452 BLAKE2B 8774a41eaba486007a4b695fc5196935102c172607136ca37d03fa626c5bb0b75df7b9cc6a6126219111b4ba828984ffbb235e9afee1e941852650a2b2412dc7 SHA512 4a0ec689e27de71f33e21df9813f78bec81b99c941da234d8d4050a3e1a1b157488d7a4d58d7f62472f32061a36dadad43d986238dcbaf24a29dded3827ec374
diff --git a/sys-cluster/rdma-core/rdma-core-26.1-r1.ebuild b/sys-cluster/rdma-core/rdma-core-26.1-r1.ebuild
deleted file mode 100644
index a314d856f573..000000000000
--- a/sys-cluster/rdma-core/rdma-core-26.1-r1.ebuild
+++ /dev/null
@@ -1,101 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{5,6,7,8,9} )
-
-inherit cmake python-single-r1 udev systemd
-
-DESCRIPTION="Userspace components for the Linux Kernel's drivers/infiniband subsystem"
-HOMEPAGE="https://github.com/linux-rdma/rdma-core"
-
-if [[ ${PV} == "9999" ]]; then
- inherit git-r3
- EGIT_REPO_URI="https://github.com/linux-rdma/rdma-core"
-else
- SRC_URI="https://github.com/linux-rdma/rdma-core/archive/v${PV}.tar.gz -> ${P}.tar.gz"
- KEYWORDS="~amd64 ~x86"
-fi
-
-LICENSE="|| ( GPL-2 ( CC0-1.0 MIT BSD BSD-with-attribution ) )"
-SLOT="0"
-IUSE="neigh python static-libs systemd valgrind"
-REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
-
-COMMON_DEPEND="
- virtual/libudev:=
- neigh? ( dev-libs/libnl:3 )
- systemd? ( sys-apps/systemd:= )
- valgrind? ( dev-util/valgrind )
- python? ( ${PYTHON_DEPS} )"
-
-DEPEND="${COMMON_DEPEND}
- python? (
- $(python_gen_cond_dep '
- dev-python/cython[${PYTHON_MULTI_USEDEP}]
- ')
- )"
-
-RDEPEND="${COMMON_DEPEND}
- !sys-fabric/infiniband-diags
- !sys-fabric/libibverbs
- !sys-fabric/librdmacm
- !sys-fabric/libibumad
- !sys-fabric/ibacm
- !sys-fabric/libibmad
- !sys-fabric/srptools
- !sys-fabric/infinipath-psm
- !sys-fabric/libcxgb3
- !sys-fabric/libcxgb4
- !sys-fabric/libmthca
- !sys-fabric/libmlx4
- !sys-fabric/libmlx5
- !sys-fabric/libocrdma
- !sys-fabric/libnes"
-
-BDEPEND="virtual/pkgconfig"
-
-PATCHES=( "${FILESDIR}"/optional_pandoc.patch )
-
-pkg_setup() {
- use python && python-single-r1_pkg_setup
-
-}
-
-src_configure() {
- local mycmakeargs=(
- -DCMAKE_INSTALL_SYSCONFDIR=/etc
- -DCMAKE_INSTALL_RUNDIR=/run
- -DCMAKE_INSTALL_SHAREDSTATEDIR=/var/lib
- -DCMAKE_INSTALL_UDEV_RULESDIR="$(get_udevdir)"/rules.d
- -DCMAKE_INSTALL_SYSTEMD_SERVICEDIR="$(systemd_get_systemunitdir)"
- -DCMAKE_DISABLE_FIND_PACKAGE_pandoc=yes
- $(ver_test -ge 25 && echo -DCMAKE_DISABLE_FIND_PACKAGE_rst2man=yes)
- -DCMAKE_DISABLE_FIND_PACKAGE_Systemd="$(usex systemd no yes)"
- -DENABLE_VALGRIND="$(usex valgrind)"
- -DENABLE_RESOLVE_NEIGH="$(usex neigh)"
- -DENABLE_STATIC="$(usex static-libs)"
- )
-
- if use python; then
- mycmakeargs+=( -DNO_PYVERBS=OFF )
- else
- mycmakeargs+=( -DNO_PYVERBS=ON )
- fi
-
- cmake_src_configure
-}
-
-src_install() {
- cmake_src_install
-
- udev_dorules "${D}"/etc/udev/rules.d/70-persistent-ipoib.rules
- rm -r "${D}"/etc/{udev,init.d} || die
-
- newinitd "${FILESDIR}"/ibacm.init ibacm
- newinitd "${FILESDIR}"/iwpmd.init iwpmd
- newinitd "${FILESDIR}"/srpd.init srpd
-
- use python && python_optimize
-}
diff --git a/sys-cluster/rdma-core/rdma-core-27.0-r2.ebuild b/sys-cluster/rdma-core/rdma-core-27.0-r2.ebuild
deleted file mode 100644
index a95bfa49d65f..000000000000
--- a/sys-cluster/rdma-core/rdma-core-27.0-r2.ebuild
+++ /dev/null
@@ -1,101 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{5,6,7,8,9} )
-
-inherit cmake python-single-r1 udev systemd
-
-DESCRIPTION="Userspace components for the Linux Kernel's drivers/infiniband subsystem"
-HOMEPAGE="https://github.com/linux-rdma/rdma-core"
-
-if [[ ${PV} == "9999" ]]; then
- inherit git-r3
- EGIT_REPO_URI="https://github.com/linux-rdma/rdma-core"
-else
- SRC_URI="https://github.com/linux-rdma/rdma-core/archive/v${PV}.tar.gz -> ${P}.tar.gz"
- KEYWORDS="~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
-fi
-
-LICENSE="|| ( GPL-2 ( CC0-1.0 MIT BSD BSD-with-attribution ) )"
-SLOT="0"
-IUSE="neigh python static-libs systemd valgrind"
-REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
-
-COMMON_DEPEND="
- virtual/libudev:=
- neigh? ( dev-libs/libnl:3 )
- systemd? ( sys-apps/systemd:= )
- valgrind? ( dev-util/valgrind )
- python? ( ${PYTHON_DEPS} )"
-
-DEPEND="${COMMON_DEPEND}
- python? (
- $(python_gen_cond_dep '
- dev-python/cython[${PYTHON_MULTI_USEDEP}]
- ')
- )"
-
-RDEPEND="${COMMON_DEPEND}
- !sys-fabric/infiniband-diags
- !sys-fabric/libibverbs
- !sys-fabric/librdmacm
- !sys-fabric/libibumad
- !sys-fabric/ibacm
- !sys-fabric/libibmad
- !sys-fabric/srptools
- !sys-fabric/infinipath-psm
- !sys-fabric/libcxgb3
- !sys-fabric/libcxgb4
- !sys-fabric/libmthca
- !sys-fabric/libmlx4
- !sys-fabric/libmlx5
- !sys-fabric/libocrdma
- !sys-fabric/libnes"
-
-BDEPEND="virtual/pkgconfig"
-
-PATCHES=( "${FILESDIR}"/optional_pandoc.patch )
-
-pkg_setup() {
- use python && python-single-r1_pkg_setup
-
-}
-
-src_configure() {
- local mycmakeargs=(
- -DCMAKE_INSTALL_SYSCONFDIR=/etc
- -DCMAKE_INSTALL_RUNDIR=/run
- -DCMAKE_INSTALL_SHAREDSTATEDIR=/var/lib
- -DCMAKE_INSTALL_UDEV_RULESDIR="$(get_udevdir)"/rules.d
- -DCMAKE_INSTALL_SYSTEMD_SERVICEDIR="$(systemd_get_systemunitdir)"
- -DCMAKE_DISABLE_FIND_PACKAGE_pandoc=yes
- $(ver_test -ge 25 && echo -DCMAKE_DISABLE_FIND_PACKAGE_rst2man=yes)
- -DCMAKE_DISABLE_FIND_PACKAGE_Systemd="$(usex systemd no yes)"
- -DENABLE_VALGRIND="$(usex valgrind)"
- -DENABLE_RESOLVE_NEIGH="$(usex neigh)"
- -DENABLE_STATIC="$(usex static-libs)"
- )
-
- if use python; then
- mycmakeargs+=( -DNO_PYVERBS=OFF )
- else
- mycmakeargs+=( -DNO_PYVERBS=ON )
- fi
-
- cmake_src_configure
-}
-
-src_install() {
- cmake_src_install
-
- udev_dorules "${D}"/etc/udev/rules.d/70-persistent-ipoib.rules
- rm -r "${D}"/etc/{udev,init.d} || die
-
- newinitd "${FILESDIR}"/ibacm.init ibacm
- newinitd "${FILESDIR}"/iwpmd.init iwpmd
- newinitd "${FILESDIR}"/srpd.init srpd
-
- use python && python_optimize
-}
diff --git a/sys-cluster/rdma-core/rdma-core-28.0-r1.ebuild b/sys-cluster/rdma-core/rdma-core-28.0-r1.ebuild
deleted file mode 100644
index 775e153173ca..000000000000
--- a/sys-cluster/rdma-core/rdma-core-28.0-r1.ebuild
+++ /dev/null
@@ -1,101 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{5,6,7,8,9} )
-
-inherit cmake python-single-r1 udev systemd
-
-DESCRIPTION="Userspace components for the Linux Kernel's drivers/infiniband subsystem"
-HOMEPAGE="https://github.com/linux-rdma/rdma-core"
-
-if [[ ${PV} == "9999" ]]; then
- inherit git-r3
- EGIT_REPO_URI="https://github.com/linux-rdma/rdma-core"
-else
- SRC_URI="https://github.com/linux-rdma/rdma-core/archive/v${PV}.tar.gz -> ${P}.tar.gz"
- KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
-fi
-
-LICENSE="|| ( GPL-2 ( CC0-1.0 MIT BSD BSD-with-attribution ) )"
-SLOT="0"
-IUSE="neigh python static-libs systemd valgrind"
-REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
-
-COMMON_DEPEND="
- virtual/libudev:=
- neigh? ( dev-libs/libnl:3 )
- systemd? ( sys-apps/systemd:= )
- valgrind? ( dev-util/valgrind )
- python? ( ${PYTHON_DEPS} )"
-
-DEPEND="${COMMON_DEPEND}
- python? (
- $(python_gen_cond_dep '
- dev-python/cython[${PYTHON_MULTI_USEDEP}]
- ')
- )"
-
-RDEPEND="${COMMON_DEPEND}
- !sys-fabric/infiniband-diags
- !sys-fabric/libibverbs
- !sys-fabric/librdmacm
- !sys-fabric/libibumad
- !sys-fabric/ibacm
- !sys-fabric/libibmad
- !sys-fabric/srptools
- !sys-fabric/infinipath-psm
- !sys-fabric/libcxgb3
- !sys-fabric/libcxgb4
- !sys-fabric/libmthca
- !sys-fabric/libmlx4
- !sys-fabric/libmlx5
- !sys-fabric/libocrdma
- !sys-fabric/libnes"
-
-BDEPEND="virtual/pkgconfig"
-
-PATCHES=( "${FILESDIR}"/optional_pandoc.patch )
-
-pkg_setup() {
- use python && python-single-r1_pkg_setup
-
-}
-
-src_configure() {
- local mycmakeargs=(
- -DCMAKE_INSTALL_SYSCONFDIR=/etc
- -DCMAKE_INSTALL_RUNDIR=/run
- -DCMAKE_INSTALL_SHAREDSTATEDIR=/var/lib
- -DCMAKE_INSTALL_UDEV_RULESDIR="$(get_udevdir)"/rules.d
- -DCMAKE_INSTALL_SYSTEMD_SERVICEDIR="$(systemd_get_systemunitdir)"
- -DCMAKE_DISABLE_FIND_PACKAGE_pandoc=yes
- $(ver_test -ge 25 && echo -DCMAKE_DISABLE_FIND_PACKAGE_rst2man=yes)
- -DCMAKE_DISABLE_FIND_PACKAGE_Systemd="$(usex systemd no yes)"
- -DENABLE_VALGRIND="$(usex valgrind)"
- -DENABLE_RESOLVE_NEIGH="$(usex neigh)"
- -DENABLE_STATIC="$(usex static-libs)"
- )
-
- if use python; then
- mycmakeargs+=( -DNO_PYVERBS=OFF )
- else
- mycmakeargs+=( -DNO_PYVERBS=ON )
- fi
-
- cmake_src_configure
-}
-
-src_install() {
- cmake_src_install
-
- udev_dorules "${D}"/etc/udev/rules.d/70-persistent-ipoib.rules
- rm -r "${D}"/etc/{udev,init.d} || die
-
- newinitd "${FILESDIR}"/ibacm.init ibacm
- newinitd "${FILESDIR}"/iwpmd.init iwpmd
- newinitd "${FILESDIR}"/srpd.init srpd
-
- use python && python_optimize
-}
diff --git a/sys-cluster/rdma-core/rdma-core-30.0-r1.ebuild b/sys-cluster/rdma-core/rdma-core-30.0-r1.ebuild
deleted file mode 100644
index d8df49fb4e04..000000000000
--- a/sys-cluster/rdma-core/rdma-core-30.0-r1.ebuild
+++ /dev/null
@@ -1,101 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{5,6,7,8,9} )
-
-inherit cmake python-single-r1 udev systemd
-
-DESCRIPTION="Userspace components for the Linux Kernel's drivers/infiniband subsystem"
-HOMEPAGE="https://github.com/linux-rdma/rdma-core"
-
-if [[ ${PV} == "9999" ]]; then
- inherit git-r3
- EGIT_REPO_URI="https://github.com/linux-rdma/rdma-core"
-else
- SRC_URI="https://github.com/linux-rdma/rdma-core/archive/v${PV}.tar.gz -> ${P}.tar.gz"
- KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86"
-fi
-
-LICENSE="|| ( GPL-2 ( CC0-1.0 MIT BSD BSD-with-attribution ) )"
-SLOT="0"
-IUSE="neigh python static-libs systemd valgrind"
-REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
-
-COMMON_DEPEND="
- virtual/libudev:=
- neigh? ( dev-libs/libnl:3 )
- systemd? ( sys-apps/systemd:= )
- valgrind? ( dev-util/valgrind )
- python? ( ${PYTHON_DEPS} )"
-
-DEPEND="${COMMON_DEPEND}
- python? (
- $(python_gen_cond_dep '
- dev-python/cython[${PYTHON_MULTI_USEDEP}]
- ')
- )"
-
-RDEPEND="${COMMON_DEPEND}
- !sys-fabric/infiniband-diags
- !sys-fabric/libibverbs
- !sys-fabric/librdmacm
- !sys-fabric/libibumad
- !sys-fabric/ibacm
- !sys-fabric/libibmad
- !sys-fabric/srptools
- !sys-fabric/infinipath-psm
- !sys-fabric/libcxgb3
- !sys-fabric/libcxgb4
- !sys-fabric/libmthca
- !sys-fabric/libmlx4
- !sys-fabric/libmlx5
- !sys-fabric/libocrdma
- !sys-fabric/libnes"
-
-BDEPEND="virtual/pkgconfig"
-
-PATCHES=( "${FILESDIR}"/optional_pandoc.patch )
-
-pkg_setup() {
- use python && python-single-r1_pkg_setup
-
-}
-
-src_configure() {
- local mycmakeargs=(
- -DCMAKE_INSTALL_SYSCONFDIR=/etc
- -DCMAKE_INSTALL_RUNDIR=/run
- -DCMAKE_INSTALL_SHAREDSTATEDIR=/var/lib
- -DCMAKE_INSTALL_UDEV_RULESDIR="$(get_udevdir)"/rules.d
- -DCMAKE_INSTALL_SYSTEMD_SERVICEDIR="$(systemd_get_systemunitdir)"
- -DCMAKE_DISABLE_FIND_PACKAGE_pandoc=yes
- $(ver_test -ge 25 && echo -DCMAKE_DISABLE_FIND_PACKAGE_rst2man=yes)
- -DCMAKE_DISABLE_FIND_PACKAGE_Systemd="$(usex systemd no yes)"
- -DENABLE_VALGRIND="$(usex valgrind)"
- -DENABLE_RESOLVE_NEIGH="$(usex neigh)"
- -DENABLE_STATIC="$(usex static-libs)"
- )
-
- if use python; then
- mycmakeargs+=( -DNO_PYVERBS=OFF )
- else
- mycmakeargs+=( -DNO_PYVERBS=ON )
- fi
-
- cmake_src_configure
-}
-
-src_install() {
- cmake_src_install
-
- udev_dorules "${D}"/etc/udev/rules.d/70-persistent-ipoib.rules
- rm -r "${D}"/etc/{udev,init.d} || die
-
- newinitd "${FILESDIR}"/ibacm.init ibacm
- newinitd "${FILESDIR}"/iwpmd.init iwpmd
- newinitd "${FILESDIR}"/srpd.init srpd
-
- use python && python_optimize
-}
diff --git a/sys-cluster/rdma-core/rdma-core-26.0-r2.ebuild b/sys-cluster/rdma-core/rdma-core-30.0-r2.ebuild
index c2913cceb0a9..b25f42c6177f 100644
--- a/sys-cluster/rdma-core/rdma-core-26.0-r2.ebuild
+++ b/sys-cluster/rdma-core/rdma-core-30.0-r2.ebuild
@@ -15,7 +15,7 @@ if [[ ${PV} == "9999" ]]; then
EGIT_REPO_URI="https://github.com/linux-rdma/rdma-core"
else
SRC_URI="https://github.com/linux-rdma/rdma-core/archive/v${PV}.tar.gz -> ${P}.tar.gz"
- KEYWORDS="amd64 x86"
+ KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sparc x86"
fi
LICENSE="|| ( GPL-2 ( CC0-1.0 MIT BSD BSD-with-attribution ) )"
@@ -93,10 +93,12 @@ src_install() {
udev_dorules "${D}"/etc/udev/rules.d/70-persistent-ipoib.rules
rm -r "${D}"/etc/{udev,init.d} || die
- newinitd "${FILESDIR}"/ibacm.init ibacm
+ if use neigh; then
+ newinitd "${FILESDIR}"/ibacm.init ibacm
+ fi
+
newinitd "${FILESDIR}"/iwpmd.init iwpmd
newinitd "${FILESDIR}"/srpd.init srpd
use python && python_optimize
-
}
diff --git a/sys-cluster/rdma-core/rdma-core-9999.ebuild b/sys-cluster/rdma-core/rdma-core-9999.ebuild
index 1ddeb3ae5910..b25f42c6177f 100644
--- a/sys-cluster/rdma-core/rdma-core-9999.ebuild
+++ b/sys-cluster/rdma-core/rdma-core-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2019-2020 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -14,8 +14,8 @@ if [[ ${PV} == "9999" ]]; then
inherit git-r3
EGIT_REPO_URI="https://github.com/linux-rdma/rdma-core"
else
- SRC_URI="https://github.com/linux-rdma/rdma-core/releases/download/v${PV}/${P}.tar.gz"
- KEYWORDS="~amd64 ~hppa ~x86"
+ SRC_URI="https://github.com/linux-rdma/rdma-core/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sparc x86"
fi
LICENSE="|| ( GPL-2 ( CC0-1.0 MIT BSD BSD-with-attribution ) )"
@@ -38,7 +38,7 @@ DEPEND="${COMMON_DEPEND}
)"
RDEPEND="${COMMON_DEPEND}
- !!sys-fabric/infiniband-diags
+ !sys-fabric/infiniband-diags
!sys-fabric/libibverbs
!sys-fabric/librdmacm
!sys-fabric/libibumad
@@ -56,6 +56,8 @@ RDEPEND="${COMMON_DEPEND}
BDEPEND="virtual/pkgconfig"
+PATCHES=( "${FILESDIR}"/optional_pandoc.patch )
+
pkg_setup() {
use python && python-single-r1_pkg_setup
@@ -91,7 +93,10 @@ src_install() {
udev_dorules "${D}"/etc/udev/rules.d/70-persistent-ipoib.rules
rm -r "${D}"/etc/{udev,init.d} || die
- newinitd "${FILESDIR}"/ibacm.init ibacm
+ if use neigh; then
+ newinitd "${FILESDIR}"/ibacm.init ibacm
+ fi
+
newinitd "${FILESDIR}"/iwpmd.init iwpmd
newinitd "${FILESDIR}"/srpd.init srpd
diff --git a/sys-devel/gcc/gcc-6.5.0-r2.ebuild b/sys-devel/gcc/gcc-6.5.0-r2.ebuild
index 10c7f0279592..d720fd6569b9 100644
--- a/sys-devel/gcc/gcc-6.5.0-r2.ebuild
+++ b/sys-devel/gcc/gcc-6.5.0-r2.ebuild
@@ -7,7 +7,7 @@ PATCH_VER="4"
inherit toolchain
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~m68k ~mips ppc ppc64 s390 sparc x86"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 s390 sparc x86"
RDEPEND=""
DEPEND="${RDEPEND}
diff --git a/sys-devel/gcc/gcc-7.5.0-r1.ebuild b/sys-devel/gcc/gcc-7.5.0-r1.ebuild
index e73d75667e84..2dbab112f4b6 100644
--- a/sys-devel/gcc/gcc-7.5.0-r1.ebuild
+++ b/sys-devel/gcc/gcc-7.5.0-r1.ebuild
@@ -7,7 +7,7 @@ PATCH_VER="3"
inherit toolchain
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~m68k ~mips ppc ppc64 s390 sparc x86 ~ppc-macos"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 s390 sparc x86 ~ppc-macos"
RDEPEND=""
DEPEND="${RDEPEND}